#!/usr/bin/gnuplot

set term post eps enh color solid "Helvetica,18"
set out "w182_DW.eps"
set size 1.2,1.60

set xl "{/Helvetica-Oblique t} [Myr]"
set yl "{/Helvetica-Oblique m} [{/Helvetica-Oblique M}_E]" offset 2,0

x1=0
x2=100
set xr [x1:x2]
set yr [0:1.95]
set ytics 0.5

set zeroaxis
set nocolorbox
set nokey
set grid noxtics noytics front
set palette gray

set lmargin 6.0
set rmargin 1.5
set bmargin 3.1
set tmargin 0.6

set multiplot
set origin 0,0
set size 0.6,0.6

p \
  "<awk '(FNR==1){ print s; }{ print ARGIND,$0; }' */w182.out" u 2:3:1 not w l lc palette z,\
  "011/w182.out" u 1:2 not w l lc 'red',\
  "033/w182.out" u 1:2 not w l lc 'orange',\
  1.0 w l lt 0

#  "w182_4planet.tmp" u 2:3:1 not w l lc palette z,\

########################################################################

set origin 0.6,0.0

p \
  "<awk '(FNR==1){ print s; }{ print ARGIND,$0; }' */w182_LATEMOON.out" u 2:3:1 not w l lc palette z,\
  "011/w182_LATEMOON.out" u 1:2 not w l lc 'red',\
  "033/w182_LATEMOON.out" u 1:2 not w l lc 'orange',\
  1.0 w l lt 0

#  "w182_5planet.tmp" u 2:3:1 not w l lc palette z,\

########################################################################

set origin 0.0,0.50
set xl ""
set yl "{/Symbol e}_{182W}" offset 1.5,0
#set autoscale y
set yr [0:140]
set xtics format ""
#set ytics 2
set ytics auto

p \
  "box.dat" u (x1+$1*(x2-x1)):(1.8+$2*0.2) w filledcurves lc 'green',\
  "<awk '(FNR==1){ print s; }{ print ARGIND,$0; }' */w182.out" u 2:6:1 not w l lc palette z,\
  "011/w182.out" u 1:5 not w l lc 'red',\
  "033/w182.out" u 1:5 not w l lc 'orange',\
  1.9 w l lt 0

#  "w182_4planet.tmp" u 2:6:1 not w l lc palette z

########################################################################

set origin 0.6,0.50
set yl "{/Symbol e}_{182W}" offset 1,0
set yr [0:14]

p \
  "box.dat" u (x1+$1*(x2-x1)):(1.8+$2*0.2) w filledcurves lc 'green',\
  "<awk '(FNR==1){ print s; }{ print ARGIND,$0; }' */w182_LATEMOON.out" u 2:6:1 not w l lc palette z,\
  "011/w182_LATEMOON.out" u 1:5 not w l lc 'red',\
  "033/w182_LATEMOON.out" u 1:5 not w l lc 'orange',\
  1.9 w l lt 0

#  1.8 w l lt 0 lc 'green',\
#  2.0 w l lt 0 lc 'green'
#  "w182_5planet.tmp" u 2:6:1 not w l lc palette z

########################################################################

set origin 0.0,1.00
set xl ""
set yl "{/Helvetica-Oblique D}_{W}" offset 0.7,0
set yr [5:20000]
set logscale y
set ytics (\
  ""     5e0 1,\
  ""     6e0 1,\
  ""     7e0 1,\
  ""     8e0 1,\
  ""     9e0 1,\
  "10"   1e1 0,\
  ""     2e1 1,\
  ""     3e1 1,\
  ""     4e1 1,\
  ""     5e1 1,\
  ""     6e1 1,\
  ""     7e1 1,\
  ""     8e1 1,\
  ""     9e1 1,\
  "100"  1e2 0,\
  ""     2e2 1,\
  ""     3e2 1,\
  ""     4e2 1,\
  ""     5e2 1,\
  ""     6e2 1,\
  ""     7e2 1,\
  ""     8e2 1,\
  ""     9e2 1,\
  "10^3" 1e3 0,\
  ""     2e3 1,\
  ""     3e3 1,\
  ""     4e3 1,\
  ""     5e3 1,\
  ""     6e3 1,\
  ""     7e3 1,\
  ""     8e3 1,\
  ""     9e3 1,\
  "10^4" 1e4 0,\
  ""     2e4 1,\
  )

p \
  "<awk '(FNR==1){ print s; }{ print ARGIND,$0; }' */w182.out" u 2:7:1 not w l lc palette z,\
  "011/w182.out" u 1:6 not w l lc 'red',\
  "033/w182.out" u 1:6 not w l lc 'orange'

########################################################################

set origin 0.6,1.00

p \
  "<awk '(FNR==1){ print s; }{ print ARGIND,$0; }' */w182_LATEMOON.out" u 2:7:1 not w l lc palette z,\
  "011/w182_LATEMOON.out" u 1:6 not w l lc 'red',\
  "033/w182_LATEMOON.out" u 1:6 not w l lc 'orange',\


